__version__ = "0.2.0"
__author__ = "LIghtJUNction"
__license__ = "MIT"
__description__ = "AIVK - AI Virtual Kernel"
__copyright__ = "Copyright (c) 2025 LIghtJUNction"
__email__ = "lightjunction.me@gmail.com"
__github__ = "https://github.com/LIghtJUNction/AIVK"


# ASCII艺术字和其他常量定义
__LOGO__ = """
AIVK - META MODULE & ROOT MODULE 


   █████████   █████ █████   █████ █████   ████
  ███░░░░░███ ░░███ ░░███   ░░███ ░░███   ███░ 
 ░███    ░███  ░███  ░███    ░███  ░███  ███   
 ░███████████  ░███  ░███    ░███  ░███████    
 ░███░░░░░███  ░███  ░░███   ███   ░███░░███   
 ░███    ░███  ░███   ░░░█████░    ░███ ░░███  
 █████   █████ █████    ░░███      █████ ░░████
░░░░░   ░░░░░ ░░░░░      ░░░      ░░░░░   ░░░░ 
                                                                   
{__description__}
Author: {__author__}
Version: {__version__}
License: {__license__}
Copyright: {__copyright__}

github: {__github__}

""".format(__version__=__version__, __author__=__author__, __description__=__description__, __license__=__license__, __copyright__=__copyright__, __github__=__github__)


__WELCOME__ = """
Welcome to AIVK !

 █████   ███   █████ ██████████ █████         █████████     ███████    ██████   ██████ ██████████
░░███   ░███  ░░███ ░░███░░░░░█░░███         ███░░░░░███  ███░░░░░███ ░░██████ ██████ ░░███░░░░░█
 ░███   ░███   ░███  ░███  █ ░  ░███        ███     ░░░  ███     ░░███ ░███░█████░███  ░███  █ ░ 
 ░███   ░███   ░███  ░██████    ░███       ░███         ░███      ░███ ░███░░███ ░███  ░██████   
 ░░███  █████  ███   ░███░░█    ░███       ░███         ░███      ░███ ░███ ░░░  ░███  ░███░░█   
  ░░░█████░█████░    ░███ ░   █ ░███      █░░███     ███░░███     ███  ░███      ░███  ░███ ░   █
    ░░███ ░░███      ██████████ ███████████ ░░█████████  ░░░███████░   █████     █████ ██████████
     ░░░   ░░░      ░░░░░░░░░░ ░░░░░░░░░░░   ░░░░░░░░░     ░░░░░░░    ░░░░░     ░░░░░ ░░░░░░░░░░ 
{__description__}           First run AIVK , please refer to the documentation for more details.
Author: @{__author__}    
Mail : {__email__}  
Version: {__version__}     
License: {__license__}          
Copyright: {__copyright__}         
                         
github: {__github__}            | Thank for using AIVK !    Open source project.                                                                                                                              
""".format(__version__=__version__, __author__=__author__, __description__=__description__, __license__=__license__, __copyright__=__copyright__, __github__=__github__, __email__=__email__)



__SUCCESS__ = """

  █████████  █████  █████   █████████    █████████  ██████████  █████████   █████████ 
 ███░░░░░███░░███  ░░███   ███░░░░░███  ███░░░░░███░░███░░░░░█ ███░░░░░███ ███░░░░░███
░███    ░░░  ░███   ░███  ███     ░░░  ███     ░░░  ░███  █ ░ ░███    ░░░ ░███    ░░░ 
░░█████████  ░███   ░███ ░███         ░███          ░██████   ░░█████████ ░░█████████ 
 ░░░░░░░░███ ░███   ░███ ░███         ░███          ░███░░█    ░░░░░░░░███ ░░░░░░░░███
 ███    ░███ ░███   ░███ ░░███     ███░░███     ███ ░███ ░   █ ███    ░███ ███    ░███
░░█████████  ░░████████   ░░█████████  ░░█████████  ██████████░░█████████ ░░█████████ 
 ░░░░░░░░░    ░░░░░░░░     ░░░░░░░░░    ░░░░░░░░░  ░░░░░░░░░░  ░░░░░░░░░   ░░░░░░░░░  
                                                                                                                                                                                                                                      
                                                                                     
"""

__ERROR__ = """

 ██████████ ███████████   ███████████      ███████    ███████████  
░░███░░░░░█░░███░░░░░███ ░░███░░░░░███   ███░░░░░███ ░░███░░░░░███ 
 ░███  █ ░  ░███    ░███  ░███    ░███  ███     ░░███ ░███    ░███ 
 ░██████    ░██████████   ░██████████  ░███      ░███ ░██████████  
 ░███░░█    ░███░░░░░███  ░███░░░░░███ ░███      ░███ ░███░░░░░███ 
 ░███ ░   █ ░███    ░███  ░███    ░███ ░░███     ███  ░███    ░███ 
 ██████████ █████   █████ █████   █████ ░░░███████░   █████   █████
░░░░░░░░░░ ░░░░░   ░░░░░ ░░░░░   ░░░░░    ░░░░░░░    ░░░░░   ░░░░░ 
                                                                                                                            
                                                                   
"""


__MODULES__ = """
AIVK - MODULES - AI Virtual Kernel Modules

 ██████   ██████    ███████    ██████████   █████  █████ █████       ██████████  █████████ 
░░██████ ██████   ███░░░░░███ ░░███░░░░███ ░░███  ░░███ ░░███       ░░███░░░░░█ ███░░░░░███
 ░███░█████░███  ███     ░░███ ░███   ░░███ ░███   ░███  ░███        ░███  █ ░ ░███    ░░░ 
 ░███░░███ ░███ ░███      ░███ ░███    ░███ ░███   ░███  ░███        ░██████   ░░█████████ 
 ░███ ░░░  ░███ ░███      ░███ ░███    ░███ ░███   ░███  ░███        ░███░░█    ░░░░░░░░███
 ░███      ░███ ░░███     ███  ░███    ███  ░███   ░███  ░███      █ ░███ ░   █ ███    ░███
 █████     █████ ░░░███████░   ██████████   ░░████████   ███████████ ██████████░░█████████ 
░░░░░     ░░░░░    ░░░░░░░    ░░░░░░░░░░     ░░░░░░░░   ░░░░░░░░░░░ ░░░░░░░░░░  ░░░░░░░░░  
                                                                                                                                                 
"""


__O_o__ = """

    ███████               
  ███░░░░░███             
 ███     ░░███     ██████ 
░███      ░███    ███░░███
░███      ░███   ░███ ░███
░░███     ███    ░███ ░███
 ░░░███████░   ██░░██████ 
   ░░░░░░░    ░░  ░░░░░░  
                          
                                                 
"""

__BYE__ = """
Goodbye from AIVK !

 ███████████  █████ █████ ██████████
░░███░░░░░███░░███ ░░███ ░░███░░░░░█
 ░███    ░███ ░░███ ███   ░███  █ ░ 
 ░██████████   ░░█████    ░██████   
 ░███░░░░░███   ░░███     ░███░░█   
 ░███    ░███    ░███     ░███ ░   █
 ███████████     █████    ██████████
░░░░░░░░░░░     ░░░░░    ░░░░░░░░░░ 
                                                      
"""